from .download import download_zip, download_file
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "thumbnails.zip",down_path)
download_zip(xz_url + "Blend Files.zip",down_path)
download_zip(xz_url + "UI.zip",down_path)

bl_info = {
    "name": "Fluent : Materializer",
    "description": "",
    "author": "Rudy MICHAU",
    "version": (1, 6, 3),
    "blender": (4, 0, 0),
    "location": "Node Editor Toolbar",
    "doc_url": "https://cgthoughts.com/fluent/materializer/doc/",
    "category": "Shader"}

import bpy
import bpy.utils.previews
from .Tools.helper import load_icons, clear_icons, get_addon_preferences
from .properties import FluentShaderProps
from . import auto_load
from .preferences import AddonKeymaps



def vider_dossier_pycache(racine):
    import os
    import shutil

    for root, dirs, files in os.walk(racine):
        if "__pycache__" in dirs:
            pycache_path = os.path.join(root, "__pycache__")
            print(f"Vidage du dossier: {pycache_path}")
            for fichier in os.listdir(pycache_path):
                fichier_path = os.path.join(pycache_path, fichier)
                try:
                    if os.path.isfile(fichier_path) or os.path.islink(fichier_path):
                        os.unlink(fichier_path)
                    elif os.path.isdir(fichier_path):
                        shutil.rmtree(fichier_path)
                except Exception as e:
                    print(f"Erreur lors de la suppression {fichier_path}: {e}")
import os
# vider_dossier_pycache(os.path.dirname(os.path.realpath(__file__)))

auto_load.init()


def register():
    auto_load.register()

    bpy.types.Scene.FluentShaderProps = bpy.props.PointerProperty(type=FluentShaderProps)
    AddonKeymaps.new_keymap('Fluent Shader', 'wm.call_menu_pie', 'FLUENT_SHADER_MT_Pie_Menu',
                            'Node Generic', 'NODE_EDITOR', 'WINDOW', 'F',
                            'PRESS', False, False, False, 'NONE'
                            )
    AddonKeymaps.new_keymap('Refresh', 'fluent.refresh', None,
                            '3D View Generic', 'VIEW_3D', 'WINDOW', 'GRLESS',
                            'PRESS', True, False, False, 'NONE'
                            )
    AddonKeymaps.register_keymaps()

    get_addon_preferences().pil_warning = False
    try:
        from PIL import Image
        get_addon_preferences().pil = True
    except:
        get_addon_preferences().pil = False

    # load_icons()



def unregister():
    AddonKeymaps.unregister_keymaps()
    auto_load.unregister()

    clear_icons()


if __name__ == "__main__":
    register()
